> ## Documentation Index
> Fetch the complete documentation index at: https://docs.cdp.coinbase.com/llms.txt
> Use this file to discover all available pages before exploring further.

# public/get_book_summary_by_currency

> Retrieves summary information such as open interest, 24-hour volume, best bid/ask prices, last trade price, and other market statistics for all instruments in a given currency.

Results can be filtered by instrument kind (future, option, etc.). This method provides a quick overview of market activity across all instruments for a currency.

**Note:** For real-time updates, we recommend using the WebSocket subscription to `ticker.{instrument_name}.{interval}` instead of polling this endpoint.

[Try in API console](https://test.deribit.com/api_console?method=%2Fpublic%2Fget_book_summary_by_currency)





## OpenAPI

````yaml /api-reference/coinbase-deribit-app-api/adv-starbase-openapi.json get /public/get_book_summary_by_currency
openapi: 3.0.0
info:
  description: Coinbase Retail Advanced Trade API for derivatives trading.
  title: Coinbase Retail Advanced Trade (Deribit) API
  version: 2.1.1
servers:
  - url: https://drb.coinbase.com/api/v2
security: []
tags:
  - description: Can only be used over websockets.
    name: WebSocket Only
  - description: Public methods can be used without authentication.
    name: Public
  - description: >-
      <p>Private methods require authentication. All requests must include a
      valid OAuth2 token.</p>

      <p>A token can be requested using the <a
      href="#public-auth">/public/auth</a> method.</p>

      <p>When using the websockets protocol, the token must be included as a
      parameter <code>access_token</code> in the message. When using REST (HTTP
      GET), the token may also be passed in the <code>Authorization</code>
      header.</p>
    name: Private
  - name: Authentication
  - name: Session Management
  - description: >-
      Subscription works as [notifications](#notifications), so users will
      automatically (after subscribing) receive messages from the server.
      Overview for each channel response format is described in
      [subscriptions](#subscriptions) section.
    name: Subscription Management
  - name: Account Management
  - name: Trading
  - name: Market Data
paths:
  /public/get_book_summary_by_currency:
    get:
      tags:
        - Market Data
        - Public
      description: >+
        Retrieves summary information such as open interest, 24-hour volume,
        best bid/ask prices, last trade price, and other market statistics for
        all instruments in a given currency.


        Results can be filtered by instrument kind (future, option, etc.). This
        method provides a quick overview of market activity across all
        instruments for a currency.


        **Note:** For real-time updates, we recommend using the WebSocket
        subscription to `ticker.{instrument_name}.{interval}` instead of polling
        this endpoint.


        [Try in API
        console](https://test.deribit.com/api_console?method=%2Fpublic%2Fget_book_summary_by_currency)

      parameters:
        - description: The currency symbol
          in: query
          name: currency
          required: true
          schema:
            $ref: '#/components/schemas/currency'
        - description: >-
            Instrument kind, if not provided instruments of all kinds are
            considered
          in: query
          name: kind
          required: false
          schema:
            $ref: '#/components/schemas/kind'
      requestBody:
        content:
          application/json:
            examples:
              request:
                description: JSON-RPC Request Example
                value:
                  id: 9344
                  jsonrpc: '2.0'
                  method: public/get_book_summary_by_currency
                  params:
                    currency: BTC
                    kind: future
        description: JSON-RPC request body
      responses:
        '200':
          $ref: '#/components/responses/PublicGetBookSummaryResponse'
components:
  schemas:
    currency:
      description: Currency, i.e `"BTC"`, `"ETH"`, `"USDC"`
      enum:
        - BTC
        - ETH
        - USDC
        - USDT
        - EURR
      type: string
    kind:
      description: >-
        Instrument kind: `"future"`, `"option"`, `"spot"`, `"future_combo"`,
        `"option_combo"`
      enum:
        - future
        - option
        - spot
        - future_combo
        - option_combo
      type: string
    PublicGetBookSummaryResponse:
      properties:
        id:
          description: The id that was sent in the request
          type: integer
        jsonrpc:
          description: The JSON-RPC version (2.0)
          enum:
            - '2.0'
          type: string
        result:
          items:
            $ref: '#/components/schemas/book_summary'
          type: array
      required:
        - jsonrpc
        - result
      type: object
    book_summary:
      properties:
        ask_price:
          description: The current best ask price, `null` if there aren't any asks
          example: 7022.89
          type: number
        base_currency:
          description: Base currency
          example: ETH
          type: string
        bid_price:
          description: The current best bid price, `null` if there aren't any bids
          example: 7022.89
          type: number
        creation_timestamp:
          $ref: '#/components/schemas/timestamp'
        current_funding:
          description: Current funding (perpetual only)
          example: 0.12344
          type: number
        estimated_delivery_price:
          description: >-
            Optional (only for derivatives). Estimated delivery price for the
            market.
          example: 11628.81
          type: number
        funding_8h:
          description: Funding 8h (perpetual only)
          type: number
        high:
          description: Price of the 24h highest trade
          example: 7022.89
          type: number
        instrument_name:
          $ref: '#/components/schemas/instrument_name'
        interest_rate:
          description: Interest rate used in implied volatility calculations (options only)
          example: 0
          type: number
        last:
          description: The price of the latest trade, `null` if there weren't any trades
          example: 7022.89
          type: number
        low:
          description: Price of the 24h lowest trade, `null` if there weren't any trades
          example: 7022.89
          type: number
        mark_iv:
          $ref: '#/components/schemas/mark_iv'
        mark_price:
          description: The current instrument market price
          example: 7022.89
          type: number
        mid_price:
          description: >-
            The average of the best bid and ask, `null` if there aren't any asks
            or bids
          example: 7022.89
          type: number
        open_interest:
          description: >-
            Optional (only for derivatives). The total amount of outstanding
            contracts in the corresponding amount units. For perpetual and
            inverse futures the amount is in USD units. For options and linear
            futures it is the underlying base currency coin.
          example: 0.5
          type: number
        price_change:
          description: >-
            24-hour price change expressed as a percentage, `null` if there
            weren't any trades
          example: 10.23
          type: number
        quote_currency:
          description: Quote currency
          example: USD
          type: string
        underlying_index:
          description: Name of the underlying future, or `'index_price'` (options only)
          example: index_price
          type: string
        underlying_price:
          description: underlying price for implied volatility calculations (options only)
          example: 6745.34
          type: number
        volume:
          description: The total 24h traded volume (in base currency)
          example: 223
          type: number
        volume_notional:
          description: Volume in quote currency (futures and spots only)
          type: number
        volume_usd:
          description: Volume in USD
          type: number
      required:
        - instrument_name
        - high
        - low
        - base_currency
        - quote_currency
        - volume
        - bid_price
        - ask_price
        - mid_price
        - mark_price
        - last
        - open_interest
        - creation_timestamp
      type: object
    timestamp:
      description: The timestamp (milliseconds since the Unix epoch)
      example: 1536569522277
      type: integer
    instrument_name:
      description: Unique instrument identifier
      example: BTC-PERPETUAL
      type: string
    mark_iv:
      description: (Only for option) implied volatility for mark price
      type: number
  responses:
    PublicGetBookSummaryResponse:
      content:
        application/json:
          examples:
            response:
              description: Response example
              value:
                id: 3659
                jsonrpc: '2.0'
                result:
                  - ask_price: 0.34
                    base_currency: ETH
                    bid_price: 0.1488
                    creation_timestamp: 1550227952163
                    high: 0.34
                    instrument_name: ETH-22FEB19-140-P
                    interest_rate: 0.207
                    last: 0.34
                    low: 0.34
                    mark_price: 80
                    mid_price: 0.2444
                    open_interest: 0.55
                    price_change: -26.7793594
                    quote_currency: USD
                    underlying_index: index_price
                    underlying_price: 121.38
                    volume: 0.55
          schema:
            $ref: '#/components/schemas/PublicGetBookSummaryResponse'
      description: Success response

````